// Code generated by mockery v2.10.2. DO NOT EDIT.

package mocks

import (
	models "bots-ms/models"

	mock "github.com/stretchr/testify/mock"
)

// ConnectorRepository is an autogenerated mock type for the ConnectorRepository type
type ConnectorRepository struct {
	mock.Mock
}

// Create provides a mock function with given fields: item
func (_m *ConnectorRepository) Create(item *models.Connector) error {
	ret := _m.Called(item)

	var r0 error
	if rf, ok := ret.Get(0).(func(*models.Connector) error); ok {
		r0 = rf(item)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// Delete provides a mock function with given fields: item
func (_m *ConnectorRepository) Delete(item *models.Connector) error {
	ret := _m.Called(item)

	var r0 error
	if rf, ok := ret.Get(0).(func(*models.Connector) error); ok {
		r0 = rf(item)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// DeleteByScenarioActionId provides a mock function with given fields: id
func (_m *ConnectorRepository) DeleteByScenarioActionId(id uint) error {
	ret := _m.Called(id)

	var r0 error
	if rf, ok := ret.Get(0).(func(uint) error); ok {
		r0 = rf(id)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// GetById provides a mock function with given fields: id
func (_m *ConnectorRepository) GetById(id uint) (*models.Connector, error) {
	ret := _m.Called(id)

	var r0 *models.Connector
	if rf, ok := ret.Get(0).(func(uint) *models.Connector); ok {
		r0 = rf(id)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.Connector)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(uint) error); ok {
		r1 = rf(id)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetBySocketId provides a mock function with given fields: scenarioAction, socketId, direction
func (_m *ConnectorRepository) GetBySocketId(scenarioAction uint, socketId uint, direction uint8) (*models.Connector, error) {
	ret := _m.Called(scenarioAction, socketId, direction)

	var r0 *models.Connector
	if rf, ok := ret.Get(0).(func(uint, uint, uint8) *models.Connector); ok {
		r0 = rf(scenarioAction, socketId, direction)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.Connector)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(uint, uint, uint8) error); ok {
		r1 = rf(scenarioAction, socketId, direction)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// IsExist provides a mock function with given fields: conn
func (_m *ConnectorRepository) IsExist(conn *models.Connector) bool {
	ret := _m.Called(conn)

	var r0 bool
	if rf, ok := ret.Get(0).(func(*models.Connector) bool); ok {
		r0 = rf(conn)
	} else {
		r0 = ret.Get(0).(bool)
	}

	return r0
}

// List provides a mock function with given fields: scenarioId
func (_m *ConnectorRepository) List(scenarioId uint) (*[]models.Connector, error) {
	ret := _m.Called(scenarioId)

	var r0 *[]models.Connector
	if rf, ok := ret.Get(0).(func(uint) *[]models.Connector); ok {
		r0 = rf(scenarioId)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*[]models.Connector)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(uint) error); ok {
		r1 = rf(scenarioId)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// ListWithDirection provides a mock function with given fields: scenarioActionId, direction
func (_m *ConnectorRepository) ListWithDirection(scenarioActionId uint, direction uint8) (*[]models.Connector, error) {
	ret := _m.Called(scenarioActionId, direction)

	var r0 *[]models.Connector
	if rf, ok := ret.Get(0).(func(uint, uint8) *[]models.Connector); ok {
		r0 = rf(scenarioActionId, direction)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*[]models.Connector)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(uint, uint8) error); ok {
		r1 = rf(scenarioActionId, direction)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// Update provides a mock function with given fields: item
func (_m *ConnectorRepository) Update(item *models.Connector) error {
	ret := _m.Called(item)

	var r0 error
	if rf, ok := ret.Get(0).(func(*models.Connector) error); ok {
		r0 = rf(item)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}
